Author vstinner
Recipients vstinner
Date 2019-06-17.20:35:34
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1560803734.85.0.206698450732.issue37322@roundup.psfhosted.org>
In-reply-to
Content
vstinner@apu$ ./python -X tracemalloc=10 -m test --fail-env-changed -v test_ssl -m test_pha_required_nocert
== CPython 3.9.0a0 (heads/master-dirty:00f6493084, Jun 17 2019, 21:50:32) [GCC 9.1.1 20190503 (Red Hat 9.1.1-1)]
== Linux-5.1.6-300.fc30.x86_64-x86_64-with-glibc2.29 little-endian
== cwd: /home/vstinner/prog/python/master/build/test_python_23407
== CPU count: 8
== encodings: locale=UTF-8, FS=utf-8
Run tests sequentially
0:00:00 load avg: 0.58 [1/1] test_ssl
test_ssl: testing with 'OpenSSL 1.1.1c FIPS  28 May 2019' (1, 1, 1, 3, 15)
          under 'Linux-5.1.6-300.fc30.x86_64-x86_64-with-glibc2.29'
          HAS_SNI = True
          OP_ALL = 0x80000054
          OP_NO_TLSv1_1 = 0x10000000
test_pha_required_nocert (test.test_ssl.TestPostHandshakeAuth) ... Exception in thread Thread-2:
Traceback (most recent call last):
  File "/home/vstinner/prog/python/master/Lib/test/test_ssl.py", line 2287, in run
    msg = self.read()
  File "/home/vstinner/prog/python/master/Lib/test/test_ssl.py", line 2264, in read
    return self.sslconn.read()
  File "/home/vstinner/prog/python/master/Lib/ssl.py", line 1090, in read
    return self._sslobj.read(len)
ssl.SSLError: [SSL: PEER_DID_NOT_RETURN_A_CERTIFICATE] peer did not return a certificate (_ssl.c:2540)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/vstinner/prog/python/master/Lib/threading.py", line 938, in _bootstrap_inner
    self.run()
  File "/home/vstinner/prog/python/master/Lib/test/test_ssl.py", line 2373, in run
    raise ssl.SSLError('tlsv13 alert certificate required')
ssl.SSLError: ('tlsv13 alert certificate required',)
/home/vstinner/prog/python/master/Lib/threading.py:938: ResourceWarning: unclosed <ssl.SSLSocket fd=5, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=0, laddr=('127.0.0.1', 53571), raddr=('127.0.0.1', 34676)>
  self.run()
Object allocated at (most recent call last):
  File "/home/vstinner/prog/python/master/Lib/threading.py", lineno 896
    self._bootstrap_inner()
  File "/home/vstinner/prog/python/master/Lib/threading.py", lineno 938
    self.run().
  File "/home/vstinner/prog/python/master/Lib/test/test_ssl.py", lineno 2283
    if not self.wrap_conn():
  File "/home/vstinner/prog/python/master/Lib/test/test_ssl.py", lineno 2207
    self.sslconn = self.server.context.wrap_socket(
  File "/home/vstinner/prog/python/master/Lib/ssl.py", lineno 489
    return self.sslsocket_class._create(
  File "/home/vstinner/prog/python/master/Lib/ssl.py", lineno 992
    self = cls.__new__(cls, **kwargs)
ok

----------------------------------------------------------------------

Ran 1 test in 0.100s

OK

== Tests result: SUCCESS ==

1 test OK.

Total duration: 1 sec 430 ms
Tests result: SUCCESS


The test fails using -Werror.
History
Date User Action Args
2019-06-17 20:35:34vstinnersetrecipients: + vstinner
2019-06-17 20:35:34vstinnersetmessageid: <1560803734.85.0.206698450732.issue37322@roundup.psfhosted.org>
2019-06-17 20:35:34vstinnerlinkissue37322 messages
2019-06-17 20:35:34vstinnercreate